package de.hendriklipka.pdfconv.image;

import de.hendriklipka.pdfconv.config.ImageConfig;
import fi.faidon.jis.PICTImageSaver;

import java.awt.image.BufferedImage;
import java.awt.image.ImageObserver;

public class PICTImageWriter extends ImageWriter
{
    public PICTImageWriter()
    {
        super();
    }

    public boolean saveImage(String current_image, BufferedImage image, ImageConfig config)
    {
        try
        {
            PICTImageSaver is;
            is=new PICTImageSaver();
            is.setSaveImage(image);
            is.setSavePath(current_image+".pict");
            is.saveIt();

            // Wait until saving is ready.
            while ((is.checkSave()&(ImageObserver.ALLBITS|ImageObserver.ABORT|ImageObserver.ERROR))==0)
            {
//    			System.out.println("Waiting for save to finish!");
                try
                {
                    Thread.sleep(100);
                }
                catch (InterruptedException e)
                {
                    System.exit(1);
                }
            }

            return true;
        }
        catch (Exception e)
        {
            e.printStackTrace();
        }
        return false;
    }
}
